%getmixfracH2.m collects data from xls-files

d=3.75;         %mm
Uj=296;         %m/s
Tj=298;         %K
Red=10000;
xi_st=0.0285;
L=180*d;        %mm


%M11=xlsread('SANDH2_A\he0x11','a5:q11');
%M12=xlsread('SANDH2_A\he0x12','a5:q17');
%M14=xlsread('SANDH2_A\he0x14','a5:q15');
%M18=xlsread('SANDH2_A\he0x18','a5:q14');
%M34=xlsread('SANDH2_A\he0x34','a5:q15');
%M38=xlsread('SANDH2_A\he0x38','a5:q17');
%M58=xlsread('SANDH2_A\he0x58','a5:q18');
Max=xlsread('SANDH2_A\he0axial','a5:q11');


r=Max(:,1);
F=Max(:,2);
Frms=Max(:,3);
T=Max(:,4);
Trms=Max(:,5);
YO2=Max(:,6);
YO2rms=Max(:,7);
YN2=Max(:,8);
YN2rms=Max(:,9);
YH2=Max(:,10);
YH2rms=Max(:,11);
YH2O=Max(:,12);
YH2Orms=Max(:,13);
YOH=Max(:,14);
YOHrms=Max(:,15);
YNO=Max(:,16);
YNOrms=Max(:,17);

Fvar=Frms.^2;
k=1;
while F(k) >= xi_st
    Frich(k)=F(k);
    k=k+1;
end


if k<length(F)
    Flean=F(k:length(F));
end

figure(1)
plot(F,YN2);
title('YN2 vs xi');
xlabel('xi');
ylabel('YN2');

figure(2)
plot(F,YH2O);
title('YH2O vs xi');
xlabel('xi');
ylabel('YH2O');

figure(3)
plot(F,YOH);
title('YOH vs xi');
xlabel('xi');
ylabel('YOH');

%
% figure(1)
% %plot(r,Trms)
% 
% plot(r,T);
% title('Favre averaged temperature vs radius');
% xlabel('r [mm]');
% ylabel('T (Favre averaged)')
% 
% figure(2)
% 
% plot(r,F,'x');
% title('Mixture fraction vs radius')
% xlabel('r [mm]');
% ylabel('F');
% 
% figure(3)
% 
% plot(r,Frms,'x');
% title('variance of mixture fraction vs radius')
% legend('Frms');
% xlabel('r [mm]');
% ylabel('Frms');
% 
% figure(4)
% plot(F,T);
% title('Favre averaged temperature vs mixture fraction');
% xlabel('F');
% ylabel('T (Favre averaged)')
% 
% figure(5)
% plot(Flean,YH2(k:length(YH2)));
% title('YH2 vs lean mixture fraction');
% xlabel('F');
% ylabel('YH2');
% 
% figure(6)
% plot(Frich,YH2(1:k-1));
% title('YH2 vs rich mixture fraction');
% xlabel('F');
% ylabel('YH2')
% 
% 
% 
