%getmolefracs.m collects data from xls-files

d=3.75;         %mm
Uj=296;         %m/s
Tj=298;         %K
Red=10000;
xi_st=0.0285;
L=180*d;        %mm


M11=xlsread('SANDH2_A\molefrac\X11','a5:q11');
%M12=xlsread('SANDH2_A\molefrac\X12','a5:q17');
%M14=xlsread('SANDH2_A\molefrac\X14','a5:q15');
%M18=xlsread('SANDH2_A\molefrac\X18','a5:q14');
%M34=xlsread('SANDH2_A\molefrac\X34','a5:q15');
%M38=xlsread('SANDH2_A\molefrac\X38','a5:q17');
%M58=xlsread('SANDH2_A\molefrac\X58','a5:q18');

r=M11(:,1);
F=M11(:,2);
Frms=M11(:,3);
T=M11(:,4);
Trms=M11(:,5);
XO2=M11(:,6);
XO2rms=M11(:,7);
XN2=M11(:,8);
XN2rms=M11(:,9);
XH2=M11(:,10);
XH2rms=M11(:,11);
XH2O=M11(:,12);
XH2Orms=M11(:,13);
XOH=M11(:,14);
XOHrms=M11(:,15);
XNO=M11(:,16);
XNOrms=M11(:,17);

Fvar=Frms.^2;
k=1;
while F(k) >= xi_st
    Frich(k)=F(k);
    k=k+1;
end


if k<length(F)
    Flean=F(k:length(F));
end

figure(1)
plot(F,XO2,'x');
title('XO2 vs xi');
xlabel('xi');
ylabel('XO2');

figure(2)
plot(F,XH2,'x');
title('XH2 vs xi');
xlabel('xi');
ylabel('XH2');

figure(3)
plot(F,XN2,'x');
title('XN2 vs xi');
xlabel('xi');
ylabel('XN2');

figure(4)
plot(F,XH2O,'x');
title('XH2O vs xi');
xlabel('xi');
ylabel('XH2O');