% The purpose of this function is to mirror your data to the left of the y-axis.
% Takes three matrices as input and returns three matrices with twice as
% many columns.
function [X,Y,Z]=mirror3(x,y,z)
    x2=zeros(size(x,1),2*size(x,2));
    y2=zeros(size(y,1),2*size(y,2));
    z2=zeros(size(z,1),2*size(z,2));
    
    x2(:,1:size(x,2))=fliplr(-x);
    y2(:,1:size(y,2))=fliplr(y);
    z2(:,1:size(z,2))=fliplr(z);
    
    x2(:,size(x,2)+1:2*size(x,2))=x;
    y2(:,size(y,2)+1:2*size(y,2))=y;
    z2(:,size(z,2)+1:2*size(z,2))=z;
    
    X=x2;
    Y=y2;
    Z=z2;
    
end